Subject: Re: [PATCH] powerpc: Add of_platform support for OHCI/Bigendian HC

From: Sylvain Munaut <[email-masked]>
Date: Tue, 07 Nov 2006 00:28:57 +0100

Kumar Gala wrote:
> On Nov 6, 2006, at 4:35 AM, Nicolas DET wrote:
>
>   
>> This patch use of_platform device to probe and install OHCI big  
>> endian HC.
>>
>> PS: I did not success to properly inline the file using thrunderbird.
>>     
>
> You really copy the USB maintainers on this.  Also, why bother with  
> the Kconfig for USB_OHCI_HCD_PPC_OF_BE/USB_OHCI_HCD_PPC_OF_LE?
>   
I think it's a good idea to use those :
 - Just including both when PPC_OF is used is overkill because it makes
all USB
perform useless tests if you never intend to use the LE version for example.
 - Using the already defined symbol USB_OHCI_BIG_ENDIAN would force
other ohci user to select BE/LE and they may not want to expose this.

However in this bus glue test :

+      || defined (CONFIG_USB_OHCI_HCD_PPC_OF_LE) \
+      || defined (CONFIG_USB_OHCI_HCD_PPC_OF_BE) \

I would just test for CONFIG_USB_OHCI_HCD_PPC_OF to keep things the same
betwenn all the bus glues. (Sure it would be stupid to select PPC_OF and neither
LE nor BE ...)

But that's just me and if the usb maintainer is ok with it, it's his call.

So otherwise, looks good to me. Haven't tested in hw yet ... I'll report asap.

Sylvain